Bug 588874 - Rebooting a kernel with kvmclock enabled, into a kernel with kvmclock disabled, causes random crashes
Rebooting a kernel with kvmclock enabled, into a kernel with kvmclock disable...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 588877
  Show dependency treegraph
 
Reported: 2010-05-04 14:34 EDT by Glauber Costa
Modified: 2013-01-09 06:33 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 588877 588878 588884 (view as bug list)
Environment:
Last Closed: 2011-06-27 12:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Glauber Costa 2010-05-04 14:34:29 EDT
Description of problem:

Right now, if we boot into a kernel with kvmclock eanbled, and then reboot into a kernel with kvmclock disabled (rebooting with no-kvmclock kernel option is enough), we'll see the second kernel crash with random memory corruption.

This indicates that kvmclock is still writing to the old memory location,
which will now contain something else entirely.

Version-Release number of selected component (if applicable):
all, including upstream

How reproducible:

Always

Steps to Reproduce:
1. boot a kernel with kvmclock enabled
2. reboot
3. pause grub in the OS selection screen, edit parameters, and remove kvmclock
  
Actual results:

Crash

Expected results:

Work.
Comment 1 Bug Zapper 2011-06-02 10:29:56 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:05:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.